<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("i" . "d" => base64_decode("aW" . "Q="), "_bd71c3b5c201fc11db82ed14ce424de" . "5" => base64_decode("aW5fYXJyYX" . "k="), "_117f61bda13594e2daf" . "5b0c38ea9d5eb" => base64_decode("Q2Fubm" . "90IHNl" . "dCBJRA" . "=="), "_db6f0ba0791e9a635407659a9f" . "e04e40" => base64_decode("aXNf" . "b2Jq" . "ZWN0"), "_e258c5dc522b65a064571" . "1c5089a8e9c" => base64_decode("aXR" . "lbX" . "M="), "_7f628626dd1d55c71b" . "1fc0932ffd1d2c" => base64_decode("aXNfYXJ" . "yYXk="), "_e90d5db4c6313e90f98" . "3da3d59a5f1a6" => base64_decode("b3JpZ2luYW" . "w="));













class ICWorkflow
{
    protected $info = [];
    
    
    protected $actual_items = null;
    protected $original_object = null;
    const COLUMNS = ['id', 'project_id', 'field_symname', 'rule_id', 'pos'];
    public function AddItem(array $_59cdb5ce92fcf760d09d3c6ed5b03aaa)
    {
        $this->actual_items = $this->actual_items ?? [];
        $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
    }
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bd71c3b5c20" . "1fc11db82ed1" . "4ce424de5"]($name, self::COLUMNS)) {
            return $this->info[$name] ?? null;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e258c5dc522b65a" . "0645711c5089a8e9" . "c"]) {
            return $this->actual_items;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e90d5db4c6313e9" . "0f983da3d59a5f1a" . "6"]) {
            return $this->original_object;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["i" . "d"]) {
            throw new \InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_117f61bda13594e2daf5b0c" . "38ea9d5eb"]);
        } elseif ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5"]($name, self::COLUMNS) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_db6f0ba0791e9a635407" . "659a9fe04e40"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55" . "c71b1fc0932ffd1" . "d2c"]($value)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e258c5dc522b65a0645711c5089a8e9" . "c"] && $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7f628626" . "dd1d55c71" . "b1fc0932f" . "fd1d2c"]($value)) {
            $this->actual_items = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        return $name === $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e258c5dc522b65a0645" . "711c5089a8e9c"] && isset($this->actual_items) || $name === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e90d5db" . "4c6313e9" . "0f983da3" . "d59a5f1a" . "6"] && isset($this->original_object) || isset($this->info[$name]);
    }
    public function __clone()
    {
        
        
        if (isset($this->actual_items)) {
            $_21c3d37b9b5703fbf53e3c75860d4529 = $this->actual_items;
            $this->actual_items = [];
            foreach ($_21c3d37b9b5703fbf53e3c75860d4529 as $_59cdb5ce92fcf760d09d3c6ed5b03aaa) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_db6f0ba0791e9a635407659a9fe04e" . "40"]($_59cdb5ce92fcf760d09d3c6ed5b03aaa)) {
                    $_59cdb5ce92fcf760d09d3c6ed5b03aaa = clone $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
                }
                $this->actual_items[] = $_59cdb5ce92fcf760d09d3c6ed5b03aaa;
            }
        }
    }
    
    
    
    
    
    
    
    public function SetInfo(array $info)
    {
        $this->info = $info;
    }
    
    
    
    
    
    public function GetInfo() : array
    {
        return $this->info;
    }
    
    
    
    
    
    
    
    public function SetOriginal(ICWorkflow $_e90d5db4c6313e90f983da3d59a5f1a6 = null)
    {
        
        
        $this->original_object = null;
        if (isset($_e90d5db4c6313e90f983da3d59a5f1a6)) {
            $_e90d5db4c6313e90f983da3d59a5f1a6 = clone $_e90d5db4c6313e90f983da3d59a5f1a6;
        }
        $this->original_object = $_e90d5db4c6313e90f983da3d59a5f1a6;
    }
    public function ClearItems()
    {
        $this->actual_items = [];
    }
}